Rudiments: tlscertificate Class Reference

Rudiments

Public Member Functions | List of all members
tlscertificate Class Reference

## Public Member Functions
| tlscertificate ()
| ~tlscertificate ()
uint32_t | getVersion ()
uint64_t | getSerialNumber ()
const char * | getSignatureAlgorithm ()
const char * | getIssuer ()
datetime * | getValidFrom ()
datetime * | getValidTo ()
const char * | getSubject ()
const char * | getCommonName ()
const char * | getPublicKeyAlgorithm ()
const unsigned char * | getPublicKey ()
uint64_t | getPublicKeyByteSize ()
uint64_t | getPublicKeyBitSize ()
linkedlist< char * > * | getSubjectAlternateNames ()

## Constructor & Destructor Documentation

## ◆ tlscertificate()

tlscertificate::tlscertificate | ( |  | ) |

Creates a new instance of the tlscertificate class.

## ◆ ~tlscertificate()

tlscertificate::~tlscertificate | ( |  | ) |

Deletes this instance of the tlscertificate class.

## Member Function Documentation

## ◆ getCommonName()

const char* tlscertificate::getCommonName | ( |  | ) |

Returns the common name from the certificate.

## ◆ getIssuer()

const char* tlscertificate::getIssuer | ( |  | ) |

Returns the issuer from the certificate.

## ◆ getPublicKey()

const unsigned char* tlscertificate::getPublicKey | ( |  | ) |

Returns the public key from the certificate.

## ◆ getPublicKeyAlgorithm()

const char* tlscertificate::getPublicKeyAlgorithm | ( |  | ) |

Returns the public key algorithm from the certificate.

## ◆ getPublicKeyBitSize()

uint64_t tlscertificate::getPublicKeyBitSize | ( |  | ) |

Returns the size of the public key, in bits, from the certificate.

## ◆ getPublicKeyByteSize()

uint64_t tlscertificate::getPublicKeyByteSize | ( |  | ) |

Returns the size of the public key, in bytes, from the certificate.

## ◆ getSerialNumber()

uint64_t tlscertificate::getSerialNumber | ( |  | ) |

Returns the serial number from the certificate.

## ◆ getSignatureAlgorithm()

const char* tlscertificate::getSignatureAlgorithm | ( |  | ) |

Returns the signature algorithm from the certificate.

## ◆ getSubject()

const char* tlscertificate::getSubject | ( |  | ) |

Returns the subject from the certificate.

## ◆ getSubjectAlternateNames()

linkedlist< char * >* tlscertificate::getSubjectAlternateNames | ( |  | ) |

Returns the subject alternate names from the certificate.

## ◆ getValidFrom()

datetime* tlscertificate::getValidFrom | ( |  | ) |

Returns the date the at the certificate is valid from.

## ◆ getValidTo()

datetime* tlscertificate::getValidTo | ( |  | ) |

Returns the date the at the certificate is valid to.

## ◆ getVersion()

uint32_t tlscertificate::getVersion | ( |  | ) |

Returns the version from the certificate.